commit: 65c88e96e21db31b4636fed1d122dd1dbab54e61
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 28 20:22:50 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 28 20:40:27 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65c88e96
sci-geosciences/tappy: Permit matplotlib-python2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
sci-geosciences/tappy/tappy-0.9.0.ebuild | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/sci-geosciences/tappy/tappy-0.9.0.ebuild
b/sci-geosciences/tappy/tappy-0.9.0.ebuild
index cf6423bcefa..eccc53a46c4 100644
--- a/sci-geosciences/tappy/tappy-0.9.0.ebuild
+++ b/sci-geosciences/tappy/tappy-0.9.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -17,6 +17,10 @@ KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND="dev-python/matplotlib[${PYTHON_USEDEP}]
+RDEPEND="
+ || (
+ dev-python/matplotlib-python2[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ )
dev-python/pywavelets
sci-libs/scipy[${PYTHON_USEDEP}]"